#lang racket
#|
(count 1 5) ->
(cons 1 (count 2 5)) ->
(cons 1 (cons 2 (count 3 5))) ->
(cons 1 (cons 2 (cons 3 (count 4 5)))) ->
(cons 1 (cons 2 (cons 3 (cons 4 (count 5 5))))) ->
(cons 1 (cons 2 (cons 3 (cons 4 (cons 5 (empty))))))
|#

(define (countup-from1 x)
  (define (do-count lo)
    (cond [(= lo x) (list lo)]
          [else (cons lo (do-count (+ lo 1)))]))
  (do-count 1))

(require rackunit)
(check-equal? (list 1) (countup-from1 1))
(check-equal? (list 1 2) (countup-from1 2))
(check-equal? (list 1 2 3 4 5) (countup-from1 5))
